<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorra',
    'AE' => 'Vereinigte Arabische Emirate',
    'AF' => 'Afghanistan',
    'AG' => 'Antigua und Barbuda',
    'AI' => 'Anguilla',
    'AL' => 'Albanien',
    'AM' => 'Armenien',
    'AO' => 'Angola',
    'AQ' => 'Antarktis',
    'AR' => 'Argentinien',
    'AS' => 'Amerikanisch-Samoa',
    'AT' => 'Österreich',
    'AU' => 'Australien',
    'AW' => 'Aruba',
    'AX' => 'Åland-Inseln',
    'AZ' => 'Aserbaidschan',
    'BA' => 'Bosnien und Herzegowina',
    'BB' => 'Barbados',
    'BD' => 'Bangladesch',
    'BE' => 'Belgien',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgarien',
    'BH' => 'Bahrain',
    'BI' => 'Burundi',
    'BJ' => 'Benin',
    'BL' => 'Saint-Barthélemy',
    'BM' => 'Bermuda',
    'BN' => 'Brunei Darussalam',
    'BO' => 'Bolivien',
    'BQ' => 'Bonaire, Sint Eustatius und Saba',
    'BR' => 'Brasilien',
    'BS' => 'Bahamas',
    'BT' => 'Bhutan',
    'BV' => 'Bouvetinsel',
    'BW' => 'Botsuana',
    'BY' => 'Weißrussland',
    'BZ' => 'Belize',
    'CA' => 'Kanada',
    'CC' => 'Kokosinseln (Keelinginseln)',
    'CD' => 'Kongo, Demokratische Republik',
    'CF' => 'Zentralafrikanische Republik',
    'CG' => 'Kongo',
    'CH' => 'Schweiz',
    'CI' => "Côte d'Ivoire",
    'CK' => 'Cookinseln',
    'CL' => 'Chile',
    'CM' => 'Kamerun',
    'CN' => 'China',
    'CO' => 'Kolumbien',
    'CR' => 'Costa Rica',
    'CU' => 'Kuba',
    'CV' => 'Kap Verde',
    'CW' => 'Curaçao',
    'CX' => 'Weihnachtsinsel',
    'CY' => 'Zypern',
    'CZ' => 'Tschechische Republik',
    'DE' => 'Deutschland',
    'DJ' => 'Dschibuti',
    'DK' => 'Dänemark',
    'DM' => 'Dominica',
    'DO' => 'Dominikanische Republik',
    'DZ' => 'Algerien',
    'EC' => 'Ecuador',
    'EE' => 'Estland',
    'EG' => 'Ägypten',
    'EH' => 'Westsahara',
    'ER' => 'Eritrea',
    'ES' => 'Spanien',
    'ET' => 'Äthiopien',
    'FI' => 'Finnland',
    'FJ' => 'Fidschi',
    'FK' => 'Falkland-Inseln (Malvinen)',
    'FM' => 'Mikronesien, Föderierte Staaten von',
    'FO' => 'Färöer Inseln',
    'FR' => 'Frankreich',
    'GA' => 'Gabun',
    'GB' => 'Vereinigtes Königreich',
    'GD' => 'Grenada',
    'GE' => 'Georgien',
    'GF' => 'Französisch-Guayana',
    'GG' => 'Guernsey',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GL' => 'Grönland',
    'GM' => 'Gambia',
    'GN' => 'Guinea',
    'GP' => 'Guadeloupe',
    'GQ' => 'Äquatorialguinea',
    'GR' => 'Griechenland',
    'GS' => 'Südgeorgien und die Südlichen Sandwichinseln',
    'GT' => 'Guatemala',
    'GU' => 'Guam',
    'GW' => 'Guinea-Bissau',
    'GY' => 'Guyana',
    'HK' => 'Hongkong',
    'HM' => 'Heard- und McDonaldinseln',
    'HN' => 'Honduras',
    'HR' => 'Kroatien',
    'HT' => 'Haiti',
    'HU' => 'Ungarn',
    'ID' => 'Indonesien',
    'IE' => 'Irland',
    'IL' => 'Israel',
    'IM' => 'Isle of Man',
    'IN' => 'Indien',
    'IO' => 'Britisches Territorium im Indischen Ozean',
    'IQ' => 'Irak',
    'IR' => 'Iran, Islamische Republik',
    'IS' => 'Island',
    'IT' => 'Italien',
    'JE' => 'Jersey',
    'JM' => 'Jamaika',
    'JO' => 'Jordanien',
    'JP' => 'Japan',
    'KE' => 'Kenia',
    'KG' => 'Kirgistan',
    'KH' => 'Kambodscha',
    'KI' => 'Kiribati',
    'KM' => 'Komoren',
    'KN' => 'St. Kitts und Nevis',
    'KP' => "Nordkorea",
    'KR' => 'Südkorea',
    'KW' => 'Kuwait',
    'KY' => 'Kaiman-Inseln',
    'KZ' => 'Kasachstan',
    'LA' => "Laos, Demokratische Volksrepublik",
    'LB' => 'Libanon',
    'LC' => 'St. Lucia',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Liberia',
    'LS' => 'Lesotho',
    'LT' => 'Litauen',
    'LU' => 'Luxemburg',
    'LV' => 'Lettland',
    'LY' => 'Libyen',
    'MA' => 'Marokko',
    'MC' => 'Monaco',
    'MD' => 'Moldawien, Republik',
    'ME' => 'Montenegro',
    'MF' => 'St. Martin (französischer Teil)',
    'MG' => 'Malagasy',
    'MH' => 'Marshallinseln',
    'MK' => 'Mazedonien',
    'ML' => 'Mali',
    'MM' => 'Myanmar',
    'MN' => 'Mongolei',
    'MO' => 'Macao',
    'MP' => 'Nördliche Marianen',
    'MQ' => 'Martinique',
    'MR' => 'Mauretanien',
    'MS' => 'Montserrat',
    'MT' => 'Malta',
    'MU' => 'Mauritius',
    'MV' => 'Malediven',
    'MW' => 'Malawi',
    'MX' => 'Mexiko',
    'MY' => 'Malaysia',
    'MZ' => 'Mosambik',
    'N/A' => 'Nicht anwendbar (lokale IP…)',
    'NA' => 'Namibia',
    'NC' => 'Neukaledonien',
    'NE' => 'Niger',
    'NF' => 'Norfolkinsel',
    'NG' => 'Nigeria',
    'NI' => 'Nicaragua',
    'NL' => 'Niederlande',
    'NO' => 'Norwegen',
    'NP' => 'Nepal',
    'NR' => 'Nauru',
    'NU' => 'Niue',
    'NZ' => 'Neuseeland',
    'OM' => 'Oman',
    'PA' => 'Panama',
    'PE' => 'Peru',
    'PF' => 'Französisch-Polynesien',
    'PG' => 'Papua-Neuguinea',
    'PH' => 'Philippinen',
    'PK' => 'Pakistan',
    'PL' => 'Polen',
    'PM' => 'Saint-Pierre und Miquelon',
    'PN' => 'Pitcairn',
    'PR' => 'Puerto Rico',
    'PS' => 'Staat Palästina',
    'PT' => 'Portugal',
    'PW' => 'Palau',
    'PY' => 'Paraguay',
    'QA' => 'Katar',
    'RE' => 'Réunion',
    'RO' => 'Rumänien',
    'RS' => 'Serbien',
    'RU' => 'Russische Föderation',
    'RW' => 'Ruanda',
    'SA' => 'Saudi-Arabien',
    'SB' => 'Salomonen',
    'SC' => 'Seychellen',
    'SD' => 'Sudan',
    'SE' => 'Schweden',
    'SG' => 'Singapore',
    'SH' => 'Saint Helena, Ascension und Tristan da Cunha',
    'SI' => 'Slowenien',
    'SJ' => 'Svalbard und Jan Mayen',
    'SK' => 'Slowakei',
    'SL' => 'Sierra Leone',
    'SM' => 'San Marino',
    'SN' => 'Senegal',
    'SO' => 'Somalia',
    'SR' => 'Suriname',
    'SS' => 'Süd - Sudan',
    'ST' => 'São Tomé und Príncipe',
    'SV' => 'El Salvador',
    'SX' => 'St. Martin (Holländischer Teil)',
    'SY' => 'Syrien',
    'SZ' => 'Swaziland',
    'TC' => 'Turks- und Caicosinseln',
    'TD' => 'Tschad',
    'TF' => 'Französische Süd- und Antarktisgebiete',
    'TG' => 'Togo',
    'TH' => 'Thailand',
    'TJ' => 'Tadschikistan',
    'TK' => 'Tokelau',
    'TL' => 'Timor-Leste',
    'TM' => 'Turkmenistan',
    'TN' => 'Tunesien',
    'TO' => 'Tonga',
    'TR' => 'Türkei',
    'TT' => 'Trinidad und Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taiwan, Provinz Chinas',
    'TZ' => 'Tansania, Vereinigte Republik',
    'UA' => 'Ukraine',
    'UG' => 'Uganda',
    'UM' => 'Kleinere Inselbesitzungen der Vereinigten Staaten',
    'US' => 'Vereinigte Staaten von Amerika',
    'UY' => 'Uruguay',
    'UZ' => 'Usbekistan',
    'VA' => 'Heiliger Stuhl (Vatikanstadt)',
    'VC' => 'St. Vincent und die Grenadinen',
    'VE' => 'Venezuela, Bolivarische Republik',
    'VG' => 'Britische Jungferninseln',
    'VI' => 'Amerikanische Jungferninseln',
    'VN' => 'Vietnam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis und Futuna',
    'WS' => 'Samoa',
    'YE' => 'Jemen',
    'YT' => 'Mayotte',
    'ZA' => 'Südafrika',
    'ZM' => 'Sambia',
    'ZW' => 'Simbabwe',
];
