<?php

declare(strict_types=1);

/**
 * ISO 3166 country codes
 *
 * @copyright  2020 Ad Aures
 * @license    https://www.gnu.org/licenses/agpl-3.0.en.html AGPL3
 * @link       https://castopod.org/
 */

return [
    'AD' => 'Andorra',
    'AE' => 'Emiratos Árabes Unidos',
    'AF' => 'Afganistán',
    'AG' => 'Antigua y Barbuda',
    'AI' => 'Anguila',
    'AL' => 'Albania',
    'AM' => 'Armenia',
    'AO' => 'Angola',
    'AQ' => 'Antártida',
    'AR' => 'Argentina',
    'AS' => 'Samoa Americana',
    'AT' => 'Austria',
    'AU' => 'Australia',
    'AW' => 'Aruba',
    'AX' => 'Islas Åland',
    'AZ' => 'Azerbaiyán',
    'BA' => 'Bosnia-Herzegovina',
    'BB' => 'Barbados',
    'BD' => 'Bangladesh',
    'BE' => 'Bélgica',
    'BF' => 'Burkina Faso',
    'BG' => 'Bulgaria',
    'BH' => 'Baréin',
    'BI' => 'Burundi',
    'BJ' => 'Benín',
    'BL' => 'San Bartolomé',
    'BM' => 'Bermudas',
    'BN' => 'Brunéi Darussalam',
    'BO' => 'Estado Plurinacional de Bolivia',
    'BQ' => 'Bonaire, San Eustaquio y Saba',
    'BR' => 'Brasil',
    'BS' => 'Bahamas',
    'BT' => 'Bután',
    'BV' => 'Isla Bouvet',
    'BW' => 'Botswana',
    'BY' => 'Bielorrusia',
    'BZ' => 'Belice',
    'CA' => 'Canadá',
    'CC' => 'Islas Cocos (Keeling)',
    'CD' => 'República Democrática del Congo',
    'CF' => 'República Centroafricana',
    'CG' => 'Congo',
    'CH' => 'Suiza',
    'CI' => "Costa de Marfil",
    'CK' => 'Islas Cook',
    'CL' => 'Chile',
    'CM' => 'Camerún',
    'CN' => 'China',
    'CO' => 'Colombia',
    'CR' => 'Costa Rica',
    'CU' => 'Cuba',
    'CV' => 'Cabo Verde',
    'CW' => 'Curazao',
    'CX' => 'Isla de Navidad',
    'CY' => 'Chipre',
    'CZ' => 'República Checa',
    'DE' => 'Alemania',
    'DJ' => 'Djibouti',
    'DK' => 'Dinamarca',
    'DM' => 'Dominica',
    'DO' => 'República Dominicana',
    'DZ' => 'Argelia',
    'EC' => 'Ecuador',
    'EE' => 'Estonia',
    'EG' => 'Egipto',
    'EH' => 'Sáhara Occidental',
    'ER' => 'Eritrea',
    'ES' => 'España',
    'ET' => 'Etiopía',
    'FI' => 'Finlandia',
    'FJ' => 'Fiji',
    'FK' => 'Islas Malvinas (Falkland Islands)',
    'FM' => 'Estados Federales de Micronesia',
    'FO' => 'Islas Feroe',
    'FR' => 'Francia',
    'GA' => 'Gabón',
    'GB' => 'Reino Unido',
    'GD' => 'Granada',
    'GE' => 'Georgia',
    'GF' => 'Guayana Francesa',
    'GG' => 'Guernsey',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GL' => 'Groenlandia',
    'GM' => 'Gambia',
    'GN' => 'Guinea',
    'GP' => 'Guadalupe',
    'GQ' => 'Guinea Ecuatorial',
    'GR' => 'Grecia',
    'GS' => 'Islas Georgias del Sur y Sandwich del Sur',
    'GT' => 'Guatemala',
    'GU' => 'Guam',
    'GW' => 'Guinea-Bissau',
    'GY' => 'Guyana',
    'HK' => 'Hong Kong',
    'HM' => 'Islas Heard y McDonald',
    'HN' => 'Honduras',
    'HR' => 'Croacia',
    'HT' => 'Haití',
    'HU' => 'Hungría',
    'ID' => 'Indonesia',
    'IE' => 'Irlanda',
    'IL' => 'Israel',
    'IM' => 'Isla de Man',
    'IN' => 'India',
    'IO' => 'Territorio Británico Del Océano Índico',
    'IQ' => 'Iraq',
    'IR' => 'República Islámica de Irán',
    'IS' => 'Islandia',
    'IT' => 'Italia',
    'JE' => 'Jersey',
    'JM' => 'Jamaica',
    'JO' => 'Jordania',
    'JP' => 'Japón',
    'KE' => 'Kenia',
    'KG' => 'Kirguistán',
    'KH' => 'Camboya',
    'KI' => 'Kiribati',
    'KM' => 'Comoros',
    'KN' => 'San Cristóbal y Nevis',
    'KP' => "Corea del Norte",
    'KR' => 'República de Corea',
    'KW' => 'Kuwait',
    'KY' => 'Islas Caimán',
    'KZ' => 'Kazajstán',
    'LA' => "República Democrática Popular de Laos",
    'LB' => 'Líbano',
    'LC' => 'Santa Lucía',
    'LI' => 'Liechtenstein',
    'LK' => 'Sri Lanka',
    'LR' => 'Liberia',
    'LS' => 'Lesoto',
    'LT' => 'Lituania',
    'LU' => 'Luxemburgo',
    'LV' => 'Letonia',
    'LY' => 'Libia',
    'MA' => 'Marruecos',
    'MC' => 'Mónaco',
    'MD' => 'República de Moldova',
    'ME' => 'Montenegro',
    'MF' => 'San Martín (parte francesa)',
    'MG' => 'Malgache',
    'MH' => 'Islas Marshall',
    'MK' => 'Ex República Yugoslava de Macedonia',
    'ML' => 'Malí',
    'MM' => 'Myanmar',
    'MN' => 'Mongolia',
    'MO' => 'Macao',
    'MP' => 'Islas Marianas del Norte',
    'MQ' => 'Martinica',
    'MR' => 'Mauritania',
    'MS' => 'Montserrat',
    'MT' => 'Malta',
    'MU' => 'Mauricio',
    'MV' => 'Maldivas',
    'MW' => 'Malawi',
    'MX' => 'México',
    'MY' => 'Malasia',
    'MZ' => 'Mozambique',
    'N/A' => 'No aplicable (IP local…)',
    'NA' => 'Austria',
    'NC' => 'Nueva Caledonia',
    'NE' => 'Niger',
    'NF' => 'Isla Norfolk',
    'NG' => 'Nigeria',
    'NI' => 'Nicaragua',
    'NL' => 'Países Bajos',
    'NO' => 'Noruega',
    'NP' => 'Nepal',
    'NR' => 'Nauru',
    'NU' => 'Niue',
    'NZ' => 'Nueva Zelanda',
    'OM' => 'Omán',
    'PA' => 'Panamá',
    'PE' => 'Perú',
    'PF' => 'Polinesia Francesa',
    'PG' => 'Papúa Nueva Guinea',
    'PH' => 'Filipinas',
    'PK' => 'Pakistán',
    'PL' => 'Polonia',
    'PM' => 'San Pierre y Miquelón',
    'PN' => 'Islas Pitcairn',
    'PR' => 'Puerto Rico',
    'PS' => 'Estado de Palestina',
    'PT' => 'Portugal',
    'PW' => 'Palaos',
    'PY' => 'Paraguay',
    'QA' => 'Catar',
    'RE' => 'Reunión',
    'RO' => 'Rumanía',
    'RS' => 'Serbia',
    'RU' => 'Federación Rusa',
    'RW' => 'Ruanda',
    'SA' => 'Arabia Saudita',
    'SB' => 'Islas Salomón',
    'SC' => 'Seychelles',
    'SD' => 'Sudán',
    'SE' => 'Suecia',
    'SG' => 'Singapur',
    'SH' => 'Santa Elena, Ascensión y Tristán de Acuña',
    'SI' => 'Eslovenia',
    'SJ' => 'Svalbard y Jan Mayen',
    'SK' => 'Eslovaquia',
    'SL' => 'Sierra Leona',
    'SM' => 'San Marino',
    'SN' => 'Senegal',
    'SO' => 'Somalia',
    'SR' => 'Surinam',
    'SS' => 'Sudán del Sur',
    'ST' => 'Santo Tomé y Príncipe',
    'SV' => 'El Salvador',
    'SX' => 'San Martín (Países Bajos)',
    'SY' => 'República Árabe Siria',
    'SZ' => 'Suiza',
    'TC' => 'Islas Turcas y Caicos',
    'TD' => 'Chad',
    'TF' => 'Territorios Australes Franceses',
    'TG' => 'Togo',
    'TH' => 'Tailandia',
    'TJ' => 'Tayikistán',
    'TK' => 'Tokelau',
    'TL' => 'Timor-Leste',
    'TM' => 'Turkmenistán',
    'TN' => 'Túnez',
    'TO' => 'Tonga',
    'TR' => 'Turquía',
    'TT' => 'Trinidad y Tobago',
    'TV' => 'Tuvalu',
    'TW' => 'Taiwan (Provincia de China)',
    'TZ' => 'República Unida de Tanzania',
    'UA' => 'Ucrania',
    'UG' => 'Uganda',
    'UM' => 'Islas Ultramarinas Menores de Estados Unidos',
    'US' => 'Estados Unidos',
    'UY' => 'Uruguay',
    'UZ' => 'Uzbekistán',
    'VA' => 'Santa Sede (Ciudad Estado del Vaticano)',
    'VC' => 'San Vicente y las Granadinas',
    'VE' => 'República Bolivariana de Venezuela',
    'VG' => 'Islas Vírgenes Británicas',
    'VI' => 'Islas Vírgenes de los Estados Unidos.',
    'VN' => 'Vietnam',
    'VU' => 'Vanuatu',
    'WF' => 'Wallis y Futuna',
    'WS' => 'Samoa',
    'YE' => 'Yemen',
    'YT' => 'Mayotte',
    'ZA' => 'Sudáfrica',
    'ZM' => 'Zambia',
    'ZW' => 'Zimbabue',
];
